%define upstream_name    MooseX-SimpleConfig
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Moose role for setting attributes from a simple configfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::ConfigFromFile)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This role loads simple configfiles to set object attributes. It is based on
the abstract role the MooseX::ConfigFromFile manpage, and uses the
Config::Any manpage to load your configfile. the Config::Any manpage will
in turn support any of a variety of different config formats, detected by
the file extension. See the Config::Any manpage for more details about
supported formats.

Like all the MooseX::ConfigFromFile manpage -derived configfile loaders,
this module is automatically supported by the the MooseX::Getopt manpage
role as well, which allows specifying '-configfile' on the commandline.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 539663
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 0.90.0-3.mga4
+ Revision: 492684
- Add missing BRs

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 370307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 40728
- mageia rebuild
- imported package perl-MooseX-SimpleConfig

